# Note that this is NOT a relocatable package
%define ver     0.9.1
%define rel     0
%define prefix  /usr
%define name    xine-ui

Name:        %{name}
Summary:     A Free Video Player.
Summary(ko):   ÷̾
Version:     %{ver}
Release:     %{rel}
Copyright:   GPL
Group:       Applications/Multimedia
Source:      http://xine.sourceforge.net/files/xine-ui-0.9.1.tar.gz
URL:         http://xine.sourceforge.net
Packager:    Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
Requires:    xine-lib >= %{ver}
BuildRoot:   /tmp/%{name}-root

%package aa
Summary:     XINE - Ascii Art player.
Group:       Applications/Multimedia
Requires:    xine-lib >= %{ver}, xine-lib-aa, aalib

%description
xine is a free gpl-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
eventually mpeg-4 and other formats might be added.

xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate
has been seen on a 400 MHz P II system.

%description -l fr
xine est un lecteur vido libre sous license GPL pour les systmes de
type unix. Nous supportons les flux mpeg-2 et mpeg-1 (audio + vido 
multiplexs), ventuellement le mpeg-4 et d'autres formats peuvent
tres ajouts.

xine joue les donnes vido et audio de vido mpeg-2 et synchronise
la lecture des deux. En fonction des proprites du flux mpeg,
la lecture aura besoin de plus ou moins de puissance du processeur, 
100% de restitution de trame a t vus sur un systme PII 400MHz.

%description -l ko
xine  GPL̼  UNIX   ÷̾Դϴ. 
÷̾ mpeg-2  mpeg 1 Ʈ ϸ,  
 ߿ mpeg-4  ٸ    Դϴ.

%description -l pt
O xine  um leitor de vdeo livre ao abrigo da GPL para sistemas tipo
Unix. L ficheiros MPEG-2 e MPEG-1, bem como AVIs que contenham
MS MPEG-4 / OpenDivX Video.

O xine l o contedo vdeo e udio e sincroniza-os em tempo-real. As
necessidades de processador dependem das propriedades de cada ficheiro.
Em princpio, um sistema equipado com um Pentium-II a 400 MHz consegue
ler qualquer vdeo com mximo desempenho.

%description aa
Video player using Ascii Art library.

%prep
%setup -n xine-ui-0.9.1

%build
cp ./configure ./configure.orig
sed 's/xine_skin_dir=/xine_skin_dir=$RPM_BUILD_ROOT/' configure.orig > ./configure

./configure --prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
#mkdir -p $RPM_BUILD_ROOT/usr/include/X11/pixmaps
make install-strip prefix=$RPM_BUILD_ROOT%{prefix}
#cp doc/*.xpm $RPM_BUILD_ROOT/usr/include/X11/pixmaps

%post
#/sbin/ldconfig
if test -d /var/space/xine/share/xine/skins/default; then rm -rf /var/space/xine/share/xine/skins/default && ln -s /var/space/xine/share/xine/skins/xinetic /var/space/xine/share/xine/skins/default; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# binaries
%{prefix}/bin/xine
%{prefix}/share/idl/xine.idl
# skins
/var/space/xine/share/xine/skins/lcd/*
/var/space/xine/share/xine/skins/metal/*
/var/space/xine/share/xine/skins/pitt/*
/var/space/xine/share/xine/skins/xinetic/*
# documentation
%{prefix}/man/fr/man1/xine.1*
%{prefix}/man/man1/xine.1*
%{prefix}/share/doc/xine-ui/FAQ
%{prefix}/share/doc/xine-ui/FAQ_es
%{prefix}/share/doc/xine-ui/FAQ_it
%{prefix}/share/doc/xine-ui/FAQ_fr
%{prefix}/share/doc/xine-ui/README.freebsd
%{prefix}/share/doc/xine-ui/README.irix
%{prefix}/share/doc/xine-ui/README.solaris
%{prefix}/share/doc/xine-ui/README.syncfb
%{prefix}/share/doc/xine-ui/bug_report_form

%files aa
%defattr(-,root,root)
%{prefix}/bin/aaxine
%{prefix}/man/man1/aaxine.1*

%changelog
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Merge patch from Jos Carlos Monteiro <jcm@netcabo.pt>:
  - Filelist and other minor updates,
  - Fixed some SuSE compatibility issues,
  - Added Portuguese summary.
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add missing files.
* Thu Jul 26 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Made AA as separate package.
* Thu Jul 26 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist.
* Tue Jul 03 2001 Matthias Dahl <matthew2k@web.de>
- fixed the "no-skins-in-final-RPM-package" problem (nice explanation *grin*)
* Sun Jun 10 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist and the requirements field
- removed /sbin/ldconfig as post install script
* Thu Mar 28 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- add korean summary, patch from Louis JANG <louis@ns.mizi.com>
* Thu Jan 11 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- patch from Sung-Hyun Nam <namsh@lgic.co.kr> applied.
* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.
